//----------------------------------------------------------------------------
// Blend.hpp - bcbdcc32 generated hdr (DO NOT EDIT) rev: 0
// From: Blend.pas
//----------------------------------------------------------------------------
#ifndef BlendHPP
#define BlendHPP
//----------------------------------------------------------------------------
#include <Std2.hpp>
#include <Dialogs.hpp>
#include <Mystd.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Messages.hpp>
#include <Windows.hpp>
#include <SysUtils.hpp>
#include <System.hpp>
namespace Blend
{
//-- type declarations -------------------------------------------------------
enum TzBackType { btBitmap, btBlend, btNormal, btSteel };

typedef void __fastcall (__closure *TzBackPaintEvent)(Graphics::TCanvas* Canvas, System::TObject* Sender
	);

class __declspec(delphiclass) TzBackground;
class __declspec(pascalimplementation) TzBackground : public Classes::TComponent
{
	typedef Classes::TComponent inherited;
	
private:
	gradType fGType;
	TzBackType FType;
	void *FOldWindowProc;
	HWND FDrawToHandle;
	Graphics::TBitmap* FBitMap;
	bool FUseOwnBack;
	Graphics::TColor FColor;
	Graphics::TColor FEndColor;
	int FBands;
	TzBackPaintEvent FPaint;
	Classes::TNotifyEvent FResize;
	short TopRGB[3];
	short DRGB[3];
	void __fastcall SetGrad(Mystd::gradType Value);
	void __fastcall SetColor(Graphics::TColor A);
	void __fastcall SetEndColor(Graphics::TColor A);
	void __fastcall SetBands(int A);
	void __fastcall WPWindowProc(Messages::TMessage &Message);
	void __fastcall SetBitMap(Graphics::TBitmap* A);
	void __fastcall SetBackType(TzBackType A);
	
protected:
	void __fastcall DoColor(void);
	void __fastcall PaintWallPaper(HDC DC);
	virtual void __fastcall DoResize(void);
	virtual void __fastcall DoPaint(HDC ADC);
	
public:
	__fastcall virtual TzBackground(Classes::TComponent* AOwner);
	__fastcall virtual ~TzBackground(void);
	virtual void __fastcall Loaded(void);
	
__published:
	__property Mystd::gradType FillType = {read=fGType, write=SetGrad, default=1};
	__property TzBackPaintEvent OnPaint = {read=FPaint, write=FPaint};
	__property Classes::TNotifyEvent OnResize = {read=FResize, write=FResize};
	__property Graphics::TBitmap* BitMap = {read=FBitMap, write=SetBitMap, nodefault};
	__property TzBackType BackType = {read=FType, write=SetBackType, default=0};
	__property Graphics::TColor Color = {read=FColor, write=SetColor, default=16711935};
	__property Graphics::TColor EndColor = {read=FEndColor, write=SetEndColor, default=0};
	__property int Bands = {read=FBands, write=SetBands, default=255};
};

class __declspec(delphiclass) TzBlendPaint;
class __declspec(pascalimplementation) TzBlendPaint : public Controls::TCustomControl
{
	typedef Controls::TCustomControl inherited;
	
private:
	gradType fGType;
	Graphics::TColor FEndColor;
	int FBands;
	Classes::TNotifyEvent FOnPaint;
	bool FSteel;
	short TopRGB[3];
	short DRGB[3];
	void __fastcall SetGrad(Mystd::gradType Value);
	void __fastcall SetEndColor(Graphics::TColor Value);
	void __fastcall SetBands(int Value);
	void __fastcall SetSteel(bool Value);
	HIDESBASE MESSAGE void __fastcall CMColorChanged(Messages::TMessage &Message);
	
protected:
	virtual void __fastcall Paint(void);
	
public:
	__fastcall virtual TzBlendPaint(Classes::TComponent* AOwner);
	
__published:
	__property bool SteelLook = {read=FSteel, write=SetSteel, default=0};
	__property Mystd::gradType FillType = {read=fGType, write=SetGrad, default=1};
	__property Classes::TNotifyEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property Color ;
	__property ParentColor ;
	__property Graphics::TColor EndColor = {read=FEndColor, write=SetEndColor, default=0};
	__property int Bands = {read=FBands, write=SetBands, default=255};
	__property Width ;
	__property Height ;
	__property Align ;
	__property Hint ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property ShowHint ;
	__property Visible ;
	__property OnClick ;
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property DragCursor ;
	__property DragMode ;
public:
	/* TCustomControl.Destroy */ __fastcall virtual ~TzBlendPaint(void) { }
	
public:
	/* TWinControl.CreateParented */ __fastcall TzBlendPaint(HWND ParentWindow) : Controls::TCustomControl(
		ParentWindow) { }
	
};

class __declspec(delphiclass) TzNWBlendPaint;
class __declspec(pascalimplementation) TzNWBlendPaint : public Controls::TGraphicControl
{
	typedef Controls::TGraphicControl inherited;
	
private:
	bool fPassOn;
	gradType fGType;
	Graphics::TColor FEndColor;
	int FBands;
	Classes::TNotifyEvent FOnPaint;
	bool FSteel;
	short TopRGB[3];
	short DRGB[3];
	void __fastcall SetGrad(Mystd::gradType Value);
	void __fastcall SetEndColor(Graphics::TColor Value);
	void __fastcall SetBands(int Value);
	void __fastcall SetSteel(bool Value);
	HIDESBASE MESSAGE void __fastcall CMColorChanged(Messages::TMessage &Message);
	MESSAGE void __fastcall WMEraseBkGnd(Messages::TMessage &Message);
	HIDESBASE MESSAGE void __fastcall CMHitTest(Messages::TWMNCHitTest &Message);
	
protected:
	virtual void __fastcall Paint(void);
	
public:
	__fastcall virtual TzNWBlendPaint(Classes::TComponent* AOwner);
	
__published:
	__property bool PassMouseOn = {read=fPassOn, write=fPassOn, default=0};
	__property bool SteelLook = {read=FSteel, write=SetSteel, default=0};
	__property Mystd::gradType FillType = {read=fGType, write=SetGrad, default=1};
	__property Classes::TNotifyEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property Color ;
	__property ParentColor ;
	__property Graphics::TColor EndColor = {read=FEndColor, write=SetEndColor, default=0};
	__property int Bands = {read=FBands, write=SetBands, default=255};
	__property Width ;
	__property Height ;
	__property Align ;
	__property Hint ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property ShowHint ;
	__property Visible ;
	__property OnClick ;
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property DragCursor ;
	__property DragMode ;
public:
	/* TGraphicControl.Destroy */ __fastcall virtual ~TzNWBlendPaint(void) { }
	
};

class __declspec(delphiclass) TzTileMap;
class __declspec(pascalimplementation) TzTileMap : public Controls::TCustomControl
{
	typedef Controls::TCustomControl inherited;
	
private:
	Classes::TNotifyEvent FOnPaint;
	Graphics::TBitmap* FBitmap;
	void __fastcall SetBitmap(Graphics::TBitmap* A);
	
protected:
	virtual void __fastcall Paint(void);
	virtual void __fastcall CreateParams(Controls::TCreateParams &Params);
	
public:
	__fastcall virtual TzTileMap(Classes::TComponent* AOwner);
	__fastcall virtual ~TzTileMap(void);
	
__published:
	__property Classes::TNotifyEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property Graphics::TBitmap* Bitmap = {read=FBitmap, write=SetBitmap, nodefault};
	__property Width ;
	__property Height ;
	__property Color ;
	__property ParentColor ;
	__property Align ;
	__property Hint ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property ShowHint ;
	__property Visible ;
	__property OnClick ;
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property DragCursor ;
	__property DragMode ;
public:
	/* TWinControl.CreateParented */ __fastcall TzTileMap(HWND ParentWindow) : Controls::TCustomControl(
		ParentWindow) { }
	
};

class __declspec(delphiclass) TzNWTileMap;
class __declspec(pascalimplementation) TzNWTileMap : public Controls::TGraphicControl
{
	typedef Controls::TGraphicControl inherited;
	
private:
	bool fPassOn;
	Classes::TNotifyEvent FOnPaint;
	Graphics::TBitmap* FBitmap;
	void __fastcall SetBitmap(Graphics::TBitmap* A);
	MESSAGE void __fastcall WMEraseBkGnd(Messages::TMessage &Message);
	HIDESBASE MESSAGE void __fastcall CMHitTest(Messages::TWMNCHitTest &Message);
	
protected:
	virtual void __fastcall Paint(void);
	
public:
	__fastcall virtual TzNWTileMap(Classes::TComponent* AOwner);
	__fastcall virtual ~TzNWTileMap(void);
	
__published:
	__property bool PassMouseOn = {read=fPassOn, write=fPassOn, default=0};
	__property Classes::TNotifyEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	__property Graphics::TBitmap* Bitmap = {read=FBitmap, write=SetBitmap, nodefault};
	__property Width ;
	__property Height ;
	__property Color ;
	__property ParentColor ;
	__property Align ;
	__property Hint ;
	__property ParentShowHint ;
	__property PopupMenu ;
	__property ShowHint ;
	__property Visible ;
	__property OnClick ;
	__property OnDblClick ;
	__property OnDragDrop ;
	__property OnDragOver ;
	__property OnMouseDown ;
	__property OnMouseMove ;
	__property OnMouseUp ;
	__property DragCursor ;
	__property DragMode ;
};

//-- var, const, procedure ---------------------------------------------------

}	/* namespace Blend */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Blend;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// Blend
